#!/bin/sh
########################################################################
# File:           setup/mylinux.sh                                     #
# myLinux Server: Copyright (c) 2006 Michael Oberg                     #
# Version:        1.00                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
source mylinux.conf
TOPDOMAIN=`echo $DOMAIN | sed 's/.*\.\([^.]*\)$/\1/'`
SUBDOMAIN=`echo $DOMAIN | sed 's/\(.*\)\.[^.]*$/\1/'`
##############################################################
# create mylinux::env configuration module                   #
##############################################################
cat << "EOF" | sed \
  -e "s|#DATAPATH#|$DATAPATH|g" \
  -e "s|#TOPDOMAIN#|$TOPDOMAIN|g" \
  -e "s|#SUBDOMAIN#|$SUBDOMAIN|g" \
  -e "s|#WINDOMAIN#|$WINDOMAIN|g" \
  -e "s|#HOSTNAME#|$HOSTNAME|g" \
  -e "s|#IMAPSERVER#|$IMAPSERVER|g" \
  -e "s|#SMTPSERVER#|$SMTPSERVER|g" \
  -e "s|#LDAPSERVER#|$LDAPSERVER|g" \
  -e "s|#HOMEPATH#|$HOMEPATH|g" \
  -e "s|#MAILSERVERNAME#|$MAILSERVERNAME|g" \
  -e "s|#ADDRESSBOOK#|$ADDRESSBOOK|g" \
  -e "s|#MAILDBPATH#|$MAILDBPATH|g" \
  -e "s|#MAILTRASH#|$MAILTRASH|g" \
  -e "s|#MAILSENT#|$MAILSENT|g" \
  -e "s|#MAILDRAFTS#|$MAILDRAFTS|g" \
  -e "s|#PROXYSERVER#|$PROXYSERVER|g" \
  -e "s|#PROXYPORT#|$PROXYPORT|g" \
  -e "s|#TEMPLATEDRIVE#|$TEMPLATEDRIVE|g" \
  -e "s|#HOMEDRIVE#|$HOMEDRIVE|g" \
  -e "s|#MYDOCUMENTS#|$MYDOCUMENTS|g" \
  > /usr/lib/perl5/5.8.8/mylinux/env.pm
########################################################################
# File:           env.pm                                               #
# myLinux Server: Copyright (c) 2004 Michael Oberg                     #
# Version:        0.98                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################
package env;

$DATAPATH = "#DATAPATH#";	# path to the password/template files
$HOMEPATH = "#HOMEPATH#";	# path to the users home directories

$topdomain = "#TOPDOMAIN#";
$subdomain = "#SUBDOMAIN#";
$windomain = "#WINDOMAIN#";
$hostname = "#HOSTNAME#";
$domain = "$subdomain.$topdomain";
$fqhostname = "$hostname.$domain";	# name of THIS machine
$imapserver = "#IMAPSERVER#";		# IMAP mailserver machine
$smtpserver = "#SMTPSERVER#";		# SMTP mailserver machine
$proxyserver = "#PROXYSERVER#";		# proxy server, mentioned in the
					# windows registry
$proxyport = "#PROXYPORT#";		# port mentioned in the registry

$templatedrive = "#TEMPLATEDRIVE#";	# windows network drive for MS Office
					# templates
$homedrive = "#HOMEDRIVE#";		# windows home network drive
$mydocuments = "#MYDOCUMENTS#";		# windows directory "my documents"

$mailservername = "#MAILSERVERNAME#";	# name of the MS Outlook account
$addressbook = "#ADDRESSBOOK#";		# name of the MS Outlook LDAP account
					# (used for SquirrelMail, too)

$maildir = "#MAILDBPATH#/spool/user";	# users mail directories, needed for
					# the delete/archiving command;
					# empty, if the mailserver is on
					# another machine
$squirreldata = "/usr/local/httpd/htdocs/squirrelmail/data";
					# path to users squirrelmail
					# preferences and addressbooks, needed
					# for the delete/archiving command;
					# empty, if the webserver is on
					# another machine

$ldapbase = "dc=$subdomain,dc=$topdomain";
$ldaprootdn = "cn=admin,$ldapbase";
$ldapserver = "#LDAPSERVER#";

$mailtrash = "#MAILTRASH#";		# name of the mail trash folder
$mailsent = "#MAILSENT#";		# name of the mail sent folder
$maildrafts = "#MAILDRAFTS#";		# name of the mail drafts folder
EOF
